# 53. Zapytanie: pobierz dane siatkowe z "AsAppliedDataset"

Zapytanie o pobranie danych w siatce z zestawu rastrowego powiązanego z "AsAppliedDataset" jako `GEOJSON`  z punktami lub `GEOTIFF`. Atrybut properties zawiera wszystkie atrybuty zestawu danych dla każdego punktu.&#x20;

#### 1. Poproś o plik do eksportu

{% hint style="danger" %}
Zalecane pobieranie tylko jednego zestawu danych za pomocą `sourceDataUrl` na żądanie.&#x20;
{% endhint %}

`NoBuffer`, `PlusOnePixel`, `PlusTwoPixels`, `MinusOnePixel`, oraz `MinusTwoPixels` są dostępne jako `bufor`.

`GEOJSON` i `GEOTIFF` są dostępne jako format.&#x20;

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetGriddedDataFromAsAppliedDataset {
  getFarms (farmUuids: ["<placeholder_of_farm_uuid>"]){
    uuid
    fields (fieldUuids: ["<placeholder_of_field_uuid>"]) {
      uuid
      asAppliedDatasets(asAppliedDatasetUuids: ["<placeholder_of_dataset_uuid>"]) {
        uuid
        sourceDataUrl(format: GEOJSON buffer: PlusTwoPixels)
      }
    }
  }
}
```

{% endcode %}

#### 2. Pobierz wygenerowany plik

Po pomyślnym przygotowaniu pliku można go pobrać używając `curl` lub podobnego podejścia.

{% hint style="danger" %}
`sourceDataUrl` link jest dostępny tylko przez **60 sek.**
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl '<sourceDataUrl>' --compressed >> '<local_filepath>'
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/pl/dokumentacja-api/przeglad-zapytan-api-geopard/53.-zapytanie-pobierz-dane-siatkowe-z-asapplieddataset.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
